Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000165bareos-core[All Projects] batpublic2013-04-29 23:192015-03-25 19:18
Reporterfranku 
Assigned To 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformanyOSOS Version
Product Version12.4.2 
Target Version12.4.4Fixed in Version12.4.4 
Summary0000165: If during a backup the filedaemon dies the TrayIcon remains blinking
DescriptionIf during a backup the filedaemon dies the TrayIcon remains blinking
Steps To ReproduceStart a backup job and see the icon blink. Then kill the daemon. The trayicon remains blinking.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000380)
daniel (administrator)
2013-04-30 12:01

Hello,

Frank was faster than me. Thats a think i can confirm. I also see that last week on windows 2003.

Best Regards
Daniel
(0000386)
pstorz (administrator)
2013-05-02 08:48

Well, wouldnt it be better if a died fd would create something linke an red exclamation mark?

If its possible to detect that a fd died or cannot be contacted, it might be an option to show that as an icon.

best regards

Philipp
(0000589)
franku (developer)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 939.
(0001375)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4228.
(0001529)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 0b3d0e94
Timestamp: 2013-05-04 11:15:05
Author: franku
Ported: N/A
Details ] Diff ]
If during a backup the filedaemon dies the TrayIcon remains blinking

Solution: If the "status" command fails to execute disable the animated icon.

Fixes 0000165: If during a backup the filedaemon dies the TrayIcon remains blinking

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/qt-tray-monitor/monitoritem.cpp Diff ] File ]
bareos2015: bareos-12.4 1f210270
Timestamp: 2013-05-04 13:15:05
Author: franku
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
If during a backup the filedaemon dies the TrayIcon remains blinking

Solution: If the "status" command fails to execute disable the animated icon.

Fixes 0000165: If during a backup the filedaemon dies the TrayIcon remains blinking

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/qt-tray-monitor/monitoritem.cpp Diff ] File ]
bareos: master 9714c92d
Timestamp: 2013-05-04 19:27:11
Author: franku
Ported: N/A
Details ] Diff ]
If during a backup the filedaemon dies the TrayIcon remains blinking

Solution: If the "status" command fails to execute disable the animated icon.

Fixes 0000165: If during a backup the filedaemon dies the TrayIcon remains blinking

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/qt-tray-monitor/monitoritem.cpp Diff ] File ]
bareos2015: bareos-13.2 fe8e562b
Timestamp: 2013-05-04 21:27:11
Author: franku
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
If during a backup the filedaemon dies the TrayIcon remains blinking

Solution: If the "status" command fails to execute disable the animated icon.

Fixes 0000165: If during a backup the filedaemon dies the TrayIcon remains blinking

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - src/qt-tray-monitor/monitoritem.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-29 23:19 franku New Issue
2013-04-29 23:20 franku Steps to Reproduce Updated View Revisions
2013-04-30 12:01 daniel Note Added: 0000380
2013-05-01 20:25 franku Assigned To => franku
2013-05-01 20:25 franku Status new => assigned
2013-05-01 21:01 franku Changeset attached => bareos Branch-12.4 99394e6a
2013-05-01 21:01 franku Note Added: 0000384
2013-05-01 21:01 franku Status assigned => resolved
2013-05-01 21:01 franku Resolution open => fixed
2013-05-01 21:01 franku Changeset attached => bareos master 1afddfb7
2013-05-01 21:01 franku Note Added: 0000385
2013-05-02 06:26 mvwieringen Assigned To franku =>
2013-05-02 06:26 mvwieringen Status resolved => closed
2013-05-02 06:26 mvwieringen Fixed in Version => 12.4.4
2013-05-02 06:26 mvwieringen Target Version => 12.4.4
2013-05-02 08:48 pstorz Note Added: 0000386
2013-08-13 03:12 franku Changeset attached => bareos master 9714c92d
2013-08-13 03:12 franku Changeset attached => bareos bareos-12.4 0b3d0e94
2013-08-13 03:12 franku Note Added: 0000589
2013-08-13 03:12 franku Assigned To => franku
2013-08-13 03:12 franku Status closed => resolved
2013-08-13 09:29 mvwieringen adm Note Deleted: 0000384
2013-08-13 09:29 mvwieringen adm Note Deleted: 0000385
2013-08-13 09:30 mvwieringen adm Assigned To franku =>
2013-08-13 09:30 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 1f210270
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 fe8e562b
2015-03-25 16:51 mvwieringen Note Added: 0001375
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001529
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker